# PropertyGroupItem(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``PropertyGroupItem`(bpy_struct)

  Property that stores arbitrary, user defined properties

  `collection`

    Type: | `bpy_prop_collection` of `PropertyGroup`, (readonly)

  `double`

    Type: | float in [-inf, inf], default 0.0

  `double_array`

    Type: | float array of 1 items in [-inf, inf], default (0.0)

  `float`

    Type: | float in [-inf, inf], default 0.0

  `float_array`

    Type: | float array of 1 items in [-inf, inf], default (0.0)

  `group`

    Type: | `PropertyGroup`, (readonly)

  `id`

    Type: | `ID`, (readonly)

  `idp_array`

    Type: | `bpy_prop_collection` of `PropertyGroup`, (readonly)

  `int`

    Type: | int in [-inf, inf], default 0

  `int_array`

    Type: | int array of 1 items in [-inf, inf], default (0,)

  `string`

    Type: | string, default “”, (never None)

  classmethod `bl_rna_get_subclass`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The RNA type or default when not found.
    Return type: | `bpy.types.Struct` subclass

  classmethod `bl_rna_get_subclass_py`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The class or default when not found.
    Return type: | type

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_overridable_library` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.pop` `bpy_struct.property_overridable_library_set` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`